import { XDataDefinition } from "./XDataDefinition";
import { XDataTreeValue } from "./XDataTreeValue";
import { XDataType } from "./XDataType";
export declare class XData {
    data: {
        [name: string]: any;
    };
    definition?: XDataDefinition;
    constructor(data?: {}, definition?: XDataDefinition);
    getValue(name: string): any;
    setValue(name: string, value: any): void;
    getData(): object;
    getDataValues(type: XDataType | {}, isList: boolean): XDataTreeValue[];
}
